//
// From SwiftUI by Example by Paul Hudson
// https://www.hackingwithswift.com/quick-start/swiftui
//
// You're welcome to use this code for any purpose,
// commercial or otherwise, with or without attribution.
//

import SwiftUI

struct ContentView: View {
    var body: some View {
        Image(systemName: "figure.golf")
            .frame(minWidth: 50, minHeight: 50)
            .background(.red)
            .foregroundStyle(.white)
            .draggable(Image(systemName: "figure.golf")) {
                Label("Figure playing golf", systemImage: "figure.golf")
            }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
